Subject: Re: [PATCH] Use libcurl to use HTTP to get repositories

From: Ingo Molnar <[email-masked]>
Date: Sun, 17 Apr 2005 06:55:59 +0200

* Daniel Barkalow <[email-masked]> wrote:

> Still leaks a bit of memory due to bug copied from read-tree.

Linus, should i resend the 18 fixes i sent the other day? (as a GIT 
repository perhaps?) I found roughly 6 common memory leaks, 8 
theoretical memory leaks, 2 overflows and did a couple of cleanups. One 
of the patches [the cache collision related thing] we agreed was not 
needed, the rest is still very much valid i think. I did some basic 
testing with the fixes applied, nothing seemed to break in any visible 
way in these tests.

	Ingo